diff --git a/src/backend/utils/misc/guc.c b/src/backend/utils/misc/guc.c
index a605363..55aade3 100644
--- a/src/backend/utils/misc/guc.c
+++ b/src/backend/utils/misc/guc.c
@@ -5605,9 +5605,12 @@ set_config_option(const char *name, const char *value,
 				 * it will propagate to subsequently-started backends), but
 				 * ignore it in existing backends.	This is a tad klugy, but
 				 * necessary because we don't re-read the config file during
-				 * backend start.
+				 * backend start. However for windows, we need to process
+				 * config file during backend start for non-default parameters,
+				 * so we need to allow change of PGC_BACKEND during backend
+				 * startup.
 				 */
-				if (IsUnderPostmaster)
+				if (IsUnderPostmaster && !IsInitProcessingMode())
 					return -1;
 			}
 			else if (context != PGC_POSTMASTER && context != PGC_BACKEND &&
